Moodle-Enrol-Plugin: Patchen der auth.php bei Moodle 3.1.4 noch immer nötig?

Hallo,

irgendwas habe ich im Hinterkopf, dass man das Patchen der auth.php ab einer bestimmten Moodleversion nicht mehr braucht, finde das aber nicht (mehr).

Belwü hat ja von 2.9 auf 3.1.4 geupdated. Muss man die auth.php wieder patchen? Falls ja, hat jemand schon eine gepatchte auth.php parat? Da sich die original auth.php ja verändert hat (andere Dateigröße), sollte man die alte gepatchte Version wohl eher nicht weiter verwenden.

Viele Grüße
Steffen

Hallo,

jetzt habe ich im Mailinglistenarchiv doch eine Mail von Holger zum Patchen der auth.php vom 05.03.2016 gefunden, in der das stand:

man muß noch immer die auth.php patchen.
Das fällt erst mit moodle 3.0 weg.

Ich gehe also mal davon aus, dass der Patch nicht mehr nötig ist.

Viele Grüße
Steffen

.oO ( womit sich die Frage stellt wie es in Sachen
https://moodle.org/plugins/pluginversions.php?plugin=enrol_openlml
weiter geht? )

Hallo Michael,

.oO ( womit sich die Frage stellt wie es in Sachen
https://moodle.org/plugins/pluginversions.php?plugin=enrol_openlml
weiter geht? )

was genau ist jetzt für dich überraschend?
Oder was genau willst du mit oO sagen?

P.S: und noch eine Bitte:
Lass bitte diese Messenger Kryptografiesprache, ich musste erst mal
googeln, was oO heißen soll - bin halt noch voll old school, wo man
ganze deutsche Sätze mit korrekter Grammatik formuliert :wink:

Viele Grüße
Steffen

Das ist keine Kryptographie … sondern zeigt nichts weiter an als das hier:

Hallo,
wir sind mit moodle auch bei Belwü und haben damit jetzt auch die Version 3.1.
Es scheint aber noch nicht zu funktionieren, dass Benutzer die nicht in moodle sind, automatisch in moodle übernommen werden (dafür gab es ja den auth_patch). Erst wenn sich der Benutzer anmeldet, wird er in moodle angelegt.

Kann es sein, dass ich in moodle unter Startseite/Website-Administration/Server/Geplante Vorgänge noch die “Synchronisierung von LDAP-Nutzerkonten” aktivieren muss?

Der geplante Vorgang zu “openlml enrolment” ist aktiviert, führt aber anscheinend kein Anlegen der Benutzer durch.

Danke im Voraus,
Helge

Hallo Helge,

Ja, ich habe das auch erst aktivieren müssen.
Gruß
Friedrich

Hallo,

Ja, ich habe das auch erst aktivieren müssen.

stimmt, war mir noch gar nicht aufgefallen, dass das gar nicht aktiviert
war.

Standardmäßig läuft der Cronjob ja 1x am Tag um Mitternacht.
War es nicht so, dass das bisher öfter lief, oder betrifft das nur das
enrol-Skript?

Viele Grüße
Steffen